Subject: Offline Message from Rafal AlNassar: I have ordered the yoyo stroller and I o
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 13 Jun 2020 13:55:42 -0000

From: Rafal AlNassar <[email-masked]>
Phone: 
Location: Jubail, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/
Department: 

I have ordered the yoyo stroller and I only received the frame of the stroller, I was informed by the courier that the shipment has been returned to you at MumzWorld. The shipment was missing the seats and the rest of the stroller. It has been two months of this! I would like to pick it up from the courier

----
Zopim
https://www.zopim.com